extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Tabs React Component | Framework7 React Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Tabs React Component
      script(src="/js/motion/tabs.js")
      f7-motion-tabs(motion)

    p Tabs allow to simply switch between different content. Tabs React component represents <a href="../docs/tabs.html">Tabs</a> component.
    h2 Tabs Components
    p There are following components included:
    ul
      li `Tabs`
      li `Tab`
    h2 Tabs Properties
    table.params-table.cols-3
      thead
        tr
          th Prop
          th Type
          th Description
      tbody
        tr
          th(colspan="3") &lt;Tabs&gt; properties
        tr
          td animated
          td boolean
          td Enables animated tabs
        tr
          td swipeable
          td boolean
          td Enables swipeable tabs
        tr
          td routable
          td boolean
          td Enables routable tabs
        tr
          td swiperParams
          td object
          td Object with <a href="https://swiperjs.com/swiper-api#parameters" target="_blank">Swiper parameters</a> (applies if `swipeable` enabled)
        tr
          th(colspan="3") &lt;Tab&gt; properties
        tr
          td tabActive
          td boolean
          td Defines currently active/visible tab
        tr
          td id
          td string
          td Tab ID
    h2 Tabs Methods
    table.methods-table
      tr
        th(colspan="2") &lt;Tab&gt; methods
      tr
        td .show(<span>animate</span>)
        td Show this tab
    h2 Tabs Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          th(colspan="2") &lt;Tab&gt; events
        tr
          td tabShow
          td Event will be triggered when Tab becomes visible/active
        tr
          td tabHide
          td Event will be triggered when Tab becomes invisible/inactive
    h2 Switch Tabs
    p You can control/switch tabs:
    ul
      li by clicking on <a href="button.html">Button</a> or <a href="link.html">Link</a> specifying related tab's ID using `tabLink` prop
      li using <a href="../docs/tabs.html">Tabs API</a>
      li using <a href="../docs/tabs.html#routable-tabs">Routable Tabs</a>
    h2 Examples
    h3 Static Tabs
    +examplePreview('react', 'tabs-static.jsx', 'tabs-static')

    h3 Animated Tabs
    +examplePreview('react', 'tabs-animated.jsx', 'tabs-animated')

    h3 Swipeable Tabs
    +examplePreview('react', 'tabs-swipeable.jsx', 'tabs-swipeable')
